### Method

# Gck Object get_finish

#### Declaration [src]

    GckAttributes*
    gck_object_get_finish (
      GckObject* self,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Get the result of a get operation and return specified attributes from the object.

No extra references are added to the returned attributes pointer.

#### Parameters

`result`

  Type: `GAsyncResult`

  The result passed to the callback.

  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GckAttributes`

The filled in attributes structure if successful or `NULL` if not successful.

The caller of the method takes ownership of the data, and is responsible for freeing it.